import ContextMapper from "./ContextMapper";
import Rule from "./Rule";

export default class URLContextMapper extends ContextMapper {
    constructor(context : string) {
        super(context);
    }

    buildElementToRuleMap() : Map<Element, Rule[]> {
        return this.buildElementToRuleMapForSelectors();
    }
}